Page MenuHomePhabricator

Make it possible to add a qualifier together with a new claim using new_claim.addQualifier()
Closed, ResolvedPublic

Details

Related Gerrit Patches:

Event Timeline

matej_suchanek raised the priority of this task from to Needs Triage.
matej_suchanek updated the task description. (Show Details)
matej_suchanek added a subscriber: matej_suchanek.
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptSep 14 2015, 7:43 PM
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Sep 15 2015, 9:09 AM
matej_suchanek renamed this task from Not possible to add a qualifier using addQualifier() to Make it possible to add a qualifier together with a new claim using new_claim.addQualifier().Sep 19 2015, 9:08 AM
matej_suchanek updated the task description. (Show Details)
matej_suchanek set Security to None.

Just want to add support - this would be useful if possible! Of course it's not possible in the web interface (claim has to be added first, then qualifiers & sources in separate updates) so it may not be something that can be done easily.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 20 2015, 7:05 PM

Change 447397 had a related patch set uploaded (by Matěj Suchánek; owner: Matěj Suchánek):
[pywikibot/core@master] Support adding new claims with qualifiers

https://gerrit.wikimedia.org/r/447397

matej_suchanek edited projects, added Pywikibot; removed Wikidata.Jul 29 2018, 8:45 AM
D3r1ck01 moved this task from Backlog to Needs Review on the Pywikibot board.Oct 14 2018, 3:39 PM
Xqt closed this task as Resolved.Dec 28 2018, 2:32 PM

Change 447397 merged by jenkins-bot:
[pywikibot/core@master] [IMPR] Support adding new claims with qualifiers and/or references

https://gerrit.wikimedia.org/r/447397